Bug 231643 - audio/ncmpc: update to 0.33
Summary: audio/ncmpc: update to 0.33
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-23 18:14 UTC by Laurent Cimon
Modified: 2018-12-05 13:54 UTC (History)
1 user (show)

See Also:


Attachments
Patch updating ncmpc to 0.31 (41.76 KB, patch)
2018-09-23 18:14 UTC, Laurent Cimon
no flags Details | Diff
Patch updating ncmpc to 0.33 (11.08 KB, patch)
2018-12-03 02:56 UTC, Laurent Cimon
laurent: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent Cimon 2018-09-23 18:14:31 UTC
Created attachment 197411 [details]
Patch updating ncmpc to 0.31

ncmpc 0.31 - (2018-09-19)
* fix "No such song" in search screen
* fix progressbar when colors are disabled
* enable colors by default
* allow configuring per-style background colors
* keep current song in xterm title when MPD is paused
* load configuration from $XDG_CONFIG_HOME/ncmpc/config
* always show the screen list at the top
* fix memory leak
* require MPD 0.19

Port-related updates:
* Add a COLORS option to allow disabling colours
* Add a DOXYGEN option for the doxygen-built API docs (built differently from the HTML manpage)
* The issue addressed by the screen.hxx patch was fixed upstream, so the patch was removed
* The options patch had to include a new doxygen option because ncmpc's documentation option is now "all or nothing".
Comment 1 Nathan 2018-09-23 23:25:37 UTC
Comment on attachment 197411 [details]
Patch updating ncmpc to 0.31

It appears as you may have moved files around in plist; if so, leave plist in order that make makeplist gives
Comment 2 Tobias Kortkamp freebsd_committer 2018-10-21 14:24:47 UTC
Please order the options helpers as described in the Porter's Handbook.

https://www.freebsd.org/doc/en/books/porters-handbook/porting-order-options.html
Comment 3 Tobias Kortkamp freebsd_committer 2018-11-20 14:58:23 UTC
ncmpc 0.33 is out.  Can you update the patch?  ncmpc 0.32 has removed Doxygen support apparently, so there is IMHO little point in adding it to the port now.

https://raw.githubusercontent.com/MusicPlayerDaemon/ncmpc/v0.33/NEWS
Comment 4 Laurent Cimon 2018-11-20 20:16:28 UTC
(In reply to Tobias Kortkamp from comment #3)
I was thinking the same thing about doxygen, I've had the port done for 0.33 for some time now, but it brings up a pretty bad encoding issue presumably from the switch from glib to stdc++ that breaks my terminal, I've been wanting to fix this issue first.
Comment 5 Tobias Kortkamp freebsd_committer 2018-11-29 11:29:13 UTC
(In reply to Laurent Cimon from comment #4)
What do you mean with bad encoding issue?  Do you have a screenshot?
Is ncmpc accidentally linked with both the ports and base ncurses?
What's the output of `ldd /usr/local/bin/ncmcp`?
Comment 6 Laurent Cimon 2018-12-03 02:56:20 UTC
Created attachment 199771 [details]
Patch updating ncmpc to 0.33

ncmpc 0.33 - (2018-10-22)
* artist page: rename to "library"
* library page: make tag list configurable
* fix color configuration parser bug
* fix build failure when libpcre is not found
* remove support for liblircclient (only liblirc)
* build: require Meson 0.47
* build: use Meson option type `feature`
* build: remove obsolete option `tcp`
* build: add option to disable regular expression support

ncmpc 0.32 - (2018-10-05)
* fix crash bug on queue page
* fix crash bug on lyrics page
* fix off-by-one buffer overflow bug
* fix manpage installation directory
* fix build breakages with some ncurses builds
* work around GCC 4.9 build failure
* remove doxygen support
* new dependency: Boost
* remove dependency on GLib

ncmpc 0.31 - (2018-09-19)
* fix "No such song" in search screen
* fix progressbar when colors are disabled
* enable colors by default
* allow configuring per-style background colors
* keep current song in xterm title when MPD is paused
* load configuration from $XDG_CONFIG_HOME/ncmpc/config
* always show the screen list at the top
* fix memory leak
* require MPD 0.19

Port-related changes:
* Dropped USES glib
* the port now USES gettext regardless of NLS
* added a COLORS option to let users choose the old, colourless behaviour, since ncmpc now has colours by default
* Removed patches that were fixed upstream, modified a patch for an issue that isn't correctly fixed
Comment 7 Laurent Cimon 2018-12-03 03:04:22 UTC
(In reply to Tobias Kortkamp from comment #5)
It's not. The issue happens only in tty when a lot of unicode is used. I think it's because of miscommunication between the curses library and ncmpc regarding the size of strings. It's likely since ncmpc still uses char * instead of std::string, and the recent switch from glib to handle unicode makes it likely that some string somewhere has its size calculated wrong.

I proposed the patch for now though since it doesn't affect many people. My biggest fear is that it's indicative of a buffer overflow that could result in more issues.

I'm sorry if I'm slow on this, I don't have much time to work on it at the moment.
Comment 8 Tobias Kortkamp freebsd_committer 2018-12-05 13:54:22 UTC
Commited with a couple of changes. Thanks!

Something was not right with the NLS option.  meson outputs

WARNING: Unknown option: "enable_nls"

with NLS_MESON_TRUE=enable_nls and

meson.build:1:0: ERROR:  Value "true" for combo option "nls" is not one of the choices. Possible choices are: "enabled", "disabled", "auto".

with NLS_MESON_TRUE=nls.

I've tried to clean this up.
Comment 9 commit-hook freebsd_committer 2018-12-05 13:54:52 UTC
A commit references this bug:

Author: tobik
Date: Wed Dec  5 13:54:16 UTC 2018
New revision: 486669
URL: https://svnweb.freebsd.org/changeset/ports/486669

Log:
  audio/ncmpc: Update to 0.33

  Changes:	https://raw.githubusercontent.com/MusicPlayerDaemon/ncmpc/v0.33/NEWS
  PR:		231643
  Submitted by:	Laurent Cimon <laurent@nuxi.ca> (maintainer)

Changes:
  head/audio/ncmpc/Makefile
  head/audio/ncmpc/distinfo
  head/audio/ncmpc/files/patch-doc_meson.build
  head/audio/ncmpc/files/patch-meson__options.txt
  head/audio/ncmpc/files/patch-src_screen.hxx
  head/audio/ncmpc/pkg-plist